Issue 125299 - buildbot version 411 r1611634 crashes on attached document
Summary: buildbot version 411 r1611634 crashes on attached document
Status: VERIFIED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: 4.1.0
Hardware: PC Windows 7
: P3 Major (vote)
Target Milestone: 4.1.1
Assignee: Oliver-Rainer Wittmann
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-22 21:33 UTC by Regina Henschel
Modified: 2014-08-06 09:12 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
jsc: 4.1.1_release_blocker+


Attachments
crashing document (45.71 KB, application/vnd.oasis.opendocument.text)
2014-07-22 21:33 UTC, Regina Henschel
no flags Details
Further reduced document (30.35 KB, application/vnd.oasis.opendocument.text)
2014-07-22 23:26 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2014-07-22 21:33:26 UTC
Created attachment 83723 [details]
crashing document

The attached document crashes AOO411m3(Build:9772)  -  Rev. 1611634 immediately on opening. The document is a reduced version of one of the files of the specification. I have already deleted a lot of parts of that document, especially all sections. The other documents of the specification crashes AOO411 too. Find these document in https://www.oasis-open.org/standards#opendocumentv1.2.

There is no general problem, other, simple documents open fine. But the specification documents are very complex.
Comment 1 Regina Henschel 2014-07-22 21:42:44 UTC
Buildbot version AOO420m1(Build:9800)  -  Rev. 1601656 (=trunk) does not crash.
My own debug build of AOO420m1(Build:9800)  -  Rev. 1610953 does not crash.

Buildbot version AOO411m3(Build:9772)  -  Rev. 1609460 crashes too.
Comment 2 Regina Henschel 2014-07-22 23:26:39 UTC
Created attachment 83724 [details]
Further reduced document

I have removed more: bookmarks, custom styles, hyperlinks, some content. It still crashes.
Comment 3 Oliver-Rainer Wittmann 2014-07-23 06:08:45 UTC
Taking other to provide a solution.

This is the same crash which had been reported on verifying issue 125228.
Comment 4 jsc 2014-07-23 07:23:23 UTC
grant showstopper flag
Comment 5 SVN Robot 2014-07-23 07:25:53 UTC
"orw" committed SVN revision 1612782 into branches/AOO410:
125299: bring back <break> which got accidently lost by merging changes for i...
Comment 6 Oliver-Rainer Wittmann 2014-07-23 07:27:52 UTC
fixed on branch AOO410 for planned 4.1.1 release.
Comment 7 fanyuzhen 2014-08-06 09:12:28 UTC
I check build RC1, aka. AOO411m4(Build:9774)  -  Rev. 1614049 2014-07-29 08:06:08 (Di, 29 Jul 2014) with attachment 83724 [details], it does not crash